summaryrefslogtreecommitdiff
path: root/distrib/sets/makelocatedb
diff options
context:
space:
mode:
Diffstat (limited to 'distrib/sets/makelocatedb')
-rw-r--r--distrib/sets/makelocatedb43
1 files changed, 43 insertions, 0 deletions
diff --git a/distrib/sets/makelocatedb b/distrib/sets/makelocatedb
new file mode 100644
index 00000000000..dacc5e46c50
--- /dev/null
+++ b/distrib/sets/makelocatedb
@@ -0,0 +1,43 @@
+#!/bin/sh
+# $OpenBSD: makelocatedb,v 1.1 2014/07/09 19:23:28 espie Exp $
+#
+# Copyright (c) 2001 Theo de Raadt
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+RELEASE=$1
+
+if [ "X${RELEASE}" = "X" ]; then
+ echo "Usage: `basename $0` <OSREVISION>"
+ exit 1
+fi
+
+arch=`machine`
+lists=`pwd`/lists
+
+for i in base comp etc game man; do
+ cat ${lists}/$i/mi ${lists}/$i/md.${arch} | \
+ sed -e "s,^\.,$i${RELEASE}:,"
+done | sort | /usr/libexec/locate.mklocatedb
+
+exit 0